API ReferenceVerification request signers
Create a Verification request signer
POST
/v2/presentations/certificates/verifier-signersCreates a Verification request signer.
- Only available in implementations using unmanaged (external) Verifier root CA certificates.
- A maximum of five Verification request signers can be created per tenant.
Roles
adminverifier
Analytics Events
CREDENTIAL_PRESENTATION_VERIFIER_SIGNER_CERTIFICATE_CREATE_STARTCREDENTIAL_PRESENTATION_VERIFIER_SIGNER_CERTIFICATE_CREATE_SUCCESSCREDENTIAL_PRESENTATION_VERIFIER_SIGNER_CERTIFICATE_CREATE_FAIL
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Request payload for creating a Verification request signer using an unmanaged (external) Verifier root CA certificate.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v2/presentations/certificates/verifier-signers" \ -H "Content-Type: application/json" \ -d '{ "caId": "24c00dcc-a2d5-4635-ba3f-14dcbc0a8ea3" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "csrPem": "string", "caId": "24c00dcc-a2d5-4635-ba3f-14dcbc0a8ea3", "active": false, "caType": "mattr"}How would you rate this page?